classification
Title: Add a 'Contributing to Docs' link at the bottom of docs.python.org
Type: enhancement Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eamanu, mdk, ned.deily, suhearsawho, willingc, xtreak
Priority: normal Keywords: patch

Created on 2018-03-10 17:30 by willingc, last changed 2019-03-29 01:57 by willingc. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12006 merged suhearsawho, 2019-02-24 03:10
Messages (5)
msg313549 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2018-03-10 17:30
Adding a 'Contributing to Docs' link at the bottom of the docs.python.org page between 'Reporting bugs' and 'About Documentation'.

This could link to the devguide section on contributing to docs or provide a short paragraph including:
- the importance of CPython docs as well as other Python projects (warehouse, popular libraries, etc.)
- link to the devguide and its section on documentation
- link to the core mentorship mailing list
- link to docs mailing list

As an example, the Rust project's Docs-Contributing page is a good start: https://www.rust-lang.org/en-US/contribute-docs.html
msg313552 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-03-10 18:31
That's a good idea.  I see that there is already a "Found a bug?" link at the bottom of each doc page and that links to a page like:

https://docs.python.org/3/bugs.html

and that page has a Documentation Bugs section.  Perhaps adding a link or two in there would help.
msg313566 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2018-03-10 23:25
Great suggestion Ned. It would be great to have some links on the bug page too.
msg335496 - (view) Author: Susan Su (suhearsawho) * Date: 2019-02-14 06:09
I am available to start working on this bug. Please let me know if any issues, concerns, or suggestions come up! Thank you.
msg339090 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2019-03-29 01:55
New changeset 081158e3ba20dfa95d09cd652a44e271b95eb14c by Carol Willing (Susan Su) in branch 'master':
bpo-33043: Add a Contributing to Docs link and Update the Found a Bug Page (#12006)
https://github.com/python/cpython/commit/081158e3ba20dfa95d09cd652a44e271b95eb14c
History
Date User Action Args
2019-03-29 01:57:26willingcsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-03-29 01:55:29willingcsetmessages: + msg339090
2019-02-24 04:29:54ned.deilysetnosy: + mdk
2019-02-24 03:10:57suhearsawhosetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request12037
2019-02-14 11:52:20eamanusetnosy: + eamanu
type: enhancement
2019-02-14 06:09:55suhearsawhosetnosy: + suhearsawho
messages: + msg335496
2018-09-22 18:52:28xtreaksetnosy: + xtreak
2018-03-10 23:25:47willingcsetmessages: + msg313566
2018-03-10 18:31:50ned.deilysetnosy: + ned.deily
messages: + msg313552
2018-03-10 17:30:28willingccreate